# Rally Rush: godot::GameUI Class Reference

Loading...
Searching...
No Matches
godot::GameUI Class Reference

The in-game HUD. More...

`#include <game_ui.hpp>`

Inheritance diagram for godot::GameUI:

## Public Member Functions

virtual void | _enter_tree () override
| Connect listeners and get debug info label.
void | append_debug_info (String string)
| Update the debug info label with new information.

## Protected Member Functions

void | on_key_found (int total_found)
| Listener for key_found observer on RallyRushGameMode.
void | on_all_keys_found ()
| Listener for all_keys_found observer on RallyRushGameMode.

## Private Member Functions

| GDCLASS (GameUI, CanvasLayer)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Private Attributes

Label * | debug_info_label {nullptr}

## Detailed Description

The in-game HUD.

## Member Function Documentation

## _bind_methods()

void godot::GameUI::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::GameUI::_enter_tree | ( |  | ) |

overridevirtual

Connect listeners and get debug info label.

## append_debug_info()

void godot::GameUI::append_debug_info | ( | String | string | ) |

Update the debug info label with new information.

## GDCLASS()

godot::GameUI::GDCLASS | ( | GameUI | ,
|  | CanvasLayer |
| ) |  |

private

## on_all_keys_found()

void godot::GameUI::on_all_keys_found | ( |  | ) |

protected

Listener for all_keys_found observer on RallyRushGameMode.

## on_key_found()

void godot::GameUI::on_key_found | ( | int | total_found | ) |

protected

Listener for key_found observer on RallyRushGameMode.

## Member Data Documentation

## debug_info_label

Label* godot::GameUI::debug_info_label {nullptr}

private

The documentation for this class was generated from the following files:

- src/game_ui.hpp
- src/game_ui.cpp